# Search help

{% hint style="info" %}
By default the system searches for results that starts with the value you have written in the search box. You are able to refine the search in different ways described below.
{% endhint %}

## Operators

A number of different search operators can be used to make complex queries.

<table><thead><tr><th width="231">If you search for:</th><th>Search will return:</th></tr></thead><tbody><tr><td><strong>struct</strong></td><td>all items where the value starts with <strong>struct</strong></td></tr><tr><td><strong>*struct</strong></td><td>all items where the value contains <strong>struct</strong></td></tr><tr><td><strong>"struct"</strong></td><td>all items where the value equals exactly <strong>struct</strong></td></tr><tr><td><strong>!struct</strong></td><td>all items where the value does not start with <strong>stuct</strong></td></tr><tr><td><strong>!*struct</strong></td><td>all items where the value does not contain <strong>struct</strong></td></tr><tr><td><strong>!"struct"</strong></td><td>all items where the value is not equal to <strong>struct</strong></td></tr><tr><td><strong>""</strong></td><td>all items where this value is empty</td></tr><tr><td><strong>!""</strong></td><td>all items where this value is not empty</td></tr><tr><td><strong>*&#x3C;</strong></td><td>all items where the value contains the character &#x3C;</td></tr></tbody></table>

## Numeric fields

<table><thead><tr><th width="230">If you search for:</th><th>Search will return:</th></tr></thead><tbody><tr><td><strong>>5</strong></td><td>all items where the value is larger than 5</td></tr><tr><td><strong>&#x3C;5</strong></td><td>all items where the value is less than 5</td></tr><tr><td><strong>>5&#x26;&#x26;&#x3C;10</strong></td><td>all items where the value is <strong>larger than 5 and less than 10</strong></td></tr></tbody></table>

## Date/date time fields

For date or datetime fields you can search for distances from the current date in the following ways

<table><thead><tr><th width="230">If you search for:</th><th>Search will return:</th></tr></thead><tbody><tr><td><strong>>-30d</strong></td><td>all items where the date is larger than now - 30 days</td></tr><tr><td><strong>&#x3C;30d</strong></td><td>all items where the date is smaller than now + 30 days</td></tr></tbody></table>

{% hint style="info" %}
y = years, M = months, w = weeks, d = days, h = hours and m = minutes
{% endhint %}

## Multiple searches in same field

The system supports following boolean operators for making multiple queries in the same field

<table><thead><tr><th width="230">If you search for:</th><th>Search will return:</th></tr></thead><tbody><tr><td><strong>[query1]&#x26;&#x26;[query2]</strong></td><td>all items where the value is included in both query1 and query2</td></tr><tr><td><strong>[query1]||[query2]</strong></td><td>all items where the value is included either in query1 or query2</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/pim3/reference/search/search-help.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
